Index Page sphcyl_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void sphcyl_c ( SpiceDouble     radius,
                       SpiceDouble     colat,
                       SpiceDouble     slon,
                       SpiceDouble   * r,
                       SpiceDouble   * lon,
                       SpiceDouble   * z )
#### Abstract
        This routine converts from spherical coordinates to cylindrical
        coordinates.
#### Required_Reading
       None.
#### Keywords
       CONVERSION,  COORDINATES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  -------------------------------------------------
       radius     I   Distance of point from origin.
       colat      I   Polar angle (co-latitude in radians) of point.
       slon       I   Azimuthal angle (longitude) of point (radians).
       r          O   Distance of point from z axis.
       lon        O   angle (radians) of point from XZ plane.
       z          O   Height of point above XY plane.
#### Detailed_Input
       radius     Distance of the point from origin.

       colat      Polar angle (co-latitude in radians) of the point.

       slon       Azimuthal angle (longitude) of the point (radians).
#### Detailed_Output
       r          Distance of the point of interest from z axis.

       lon        cylindrical angle (radians) of the point from the
                   XZ plane.

       z          Height of the point above XY plane.
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       This returns the cylindrical coordinates of a point whose
       position is input through spherical coordinates.
#### Examples
       Other than the obvious conversion between coordinate systems
       this routine could be used to obtain the axial projection
       from a sphere to a cylinder about the z-axis that contains
       the equator of the sphere.  The following code fragment
       illustrates this idea.

             sphcyl_c ( radius, colat,  lon, r,  lon, z )
             r = radius

       r,  lon, and z now contain the coordinates of the projected
       point. Such a projection is valuable because it preserves the
       areas between regions on the sphere and their projections to the
       cylinder.
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       W.L. Taber      (JPL)
       E.D. Wright     (JPL)
#### Version
       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)
#### Index_Entries
       spherical to cylindrical coordinates
#### Link to routine sphcyl_c source file sphcyl_c.c

    Wed Jun  9 13:05:29 2010